package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.distributed.print.business.enums.ExamPaperStructureStatusEnum;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 试卷结构 服务类
 * </p>
 *
 * @author xf
 */
public interface ExamPaperStructureService extends IService<ExamPaperStructure> {

    IPage<ExamPaperStructure> listByPropositionTeacherId(Integer pageNumber, Integer pageSize, String[] structureStatusEnums);

    ExamPaperStructure upload(String examPaperStructure, String md5, String keys, MultipartFile[] files);

    void updateStatusById(Long id, ExamPaperStructureStatusEnum startSync);

    List<Map> preStructure(Long id);

    long countByPropositionTeacherId();
}
