package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.approvalForm.ApprovalInfo;
import com.qmth.distributed.print.business.bean.dto.ReviewLogDto;
import com.qmth.distributed.print.business.entity.ExamTaskReviewLog;

import java.util.List;

/**
 * <p>
 * 命题任务审核日志表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamTaskReviewLogService extends IService<ExamTaskReviewLog> {

    List<ReviewLogDto> list(Long flowId);

    ApprovalInfo findOnePassBySetUp(Long flowId, int setup);
}
