package com.qmth.teachcloud.common.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.bean.result.BasicCampusResult;
import com.qmth.teachcloud.common.entity.BasicCampus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 基础校区表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface BasicCampusMapper extends BaseMapper<BasicCampus> {

    /**
     * 查找基础校区信息
     *
     * @param schoolId 学校id
     * @return 基础校区信息
     */
    List<BasicCampusResult> findBasicCampusResult(@Param("schoolId") Long schoolId);

}
