package com.qmth.teachcloud.report.business.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: CellResult
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/6/11
 */
public class CellResult implements Serializable {

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "简介")
    private String interpret;

    @ApiModelProperty(value = "分数")
    private String scope;

    @ApiModelProperty(value = "学校平均分得分率")
    private Double schAvgScoreRate;

    @ApiModelProperty(value = "我的(学院、教师)平均分得分率")
    private Double myAvgScoreRate;

    @ApiModelProperty(value = "计数")
    private Integer count;

    public CellResult() {

    }

    public CellResult(String paperType, String interpret, String scope, Double schAvgScoreRate, Double myAvgScoreRate, Integer count) {
        this.paperType = paperType;
        this.interpret = interpret;
        this.scope = scope;
        this.schAvgScoreRate = schAvgScoreRate;
        this.myAvgScoreRate = myAvgScoreRate;
        this.count = count;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getInterpret() {
        return interpret;
    }

    public void setInterpret(String interpret) {
        this.interpret = interpret;
    }

    public String getScope() {
        return scope;
    }

    public void setScope(String scope) {
        this.scope = scope;
    }

    public Double getSchAvgScoreRate() {
        return schAvgScoreRate;
    }

    public void setSchAvgScoreRate(Double schAvgScoreRate) {
        this.schAvgScoreRate = schAvgScoreRate;
    }

    public Double getMyAvgScoreRate() {
        return myAvgScoreRate;
    }

    public void setMyAvgScoreRate(Double myAvgScoreRate) {
        this.myAvgScoreRate = myAvgScoreRate;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }
}
