package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeInspectDio;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 参考课程考查学院各考查点维度表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseCollegeInspectDioMapper extends BaseMapper<TAExamCourseCollegeInspectDio> {
    /**
     * 根据考试编号和课程编号和‘t_a_exam_course_record_dio’表向‘t_a_exam_course_college_inspect_dio’表插入数据
     * @param examId 考试id
     * @param courseCode 课程编号
     * @return 从资源表查出的结果集
     */
    List<TAExamCourseCollegeInspectDio> findByTAExamCourseRecordDio(@Param("examId") Long examId, @Param("courseCode") String courseCode);
}
