package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacher;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 参考课程授课教师维度表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseTeacherMapper extends BaseMapper<TAExamCourseTeacher> {

    IPage<TAExamCourseTeacher> listTeacherClassRank(@Param("page") Page<TAExamCourseTeacher> page, @Param("schoolId") Long schoolId, @Param("semester") String semester, @Param("examId") Long examId, @Param("courseCode") String courseCode);
}
