package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.bean.result.StudentInfo;
import com.qmth.teachcloud.report.business.entity.TBStudent;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 基础学生表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBStudentMapper extends BaseMapper<TBStudent> {

    StudentInfo getStudentBySchoolIdAndStudentCode(@Param("schoolId") Long schoolId, @Param("studentCode") String studentCode);
}
