package com.qmth.teachcloud.report.business.service;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * @Description: 云阅卷调用服务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/12/15
 */
public interface NewCallApiService {

    /**
     * 根据考试id或考试编码调用云阅卷学生成绩接口
     *
     * @param examId
     * @param examCode
     * @return
     */
    List<Map> callStudentScore(Long examId, String examCode) throws IOException;
}
