package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseDifficult;

import java.util.List;

/**
 * <p>
 * 考试课程，各难度题目得分率表（难度题得分率、中等难度题得分率、简单题得分率） 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseDifficultService extends IService<TAExamCourseDifficult> {

    /**
     * 查找有效答案
     *
     * @param examId
     * @param courseCode
     * @param collegeId
     * @return
     */
    List<CellResult> findValidAnswerDetail(Long examId, String courseCode, Long collegeId);
}
