package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherDifficult;

import java.util.List;

/**
 * <p>
 * 授课教师-全校各难度得分率对比 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-16
 */
public interface TAExamCourseTeacherDifficultService extends IService<TAExamCourseTeacherDifficult> {

    /**
     * 查找有效答案
     *
     * @param examId
     * @param courseCode
     * @param teacherId
     * @return
     */
    List<CellResult> findValidAnswerDetail(Long examId, String courseCode, Long teacherId);
}
