package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherDio;

/**
 * <p>
 * 教师维度分析表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-16
 */
public interface TAExamCourseTeacherDioService extends IService<TAExamCourseTeacherDio> {
    /**
     * 根据考试编号和课程编号和‘t_a_exam_course_record_dio’表向‘t_a_exam_course_teacher_dio’表插入数据
     * @param examId 考试id
     * @param courseCode 课程编号
     */
    void insertByTAExamCourseRecordDio(Long examId,String courseCode);
}
