package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.bean.result.TBPaperStructResult;
import com.qmth.teachcloud.report.business.entity.TBPaperStruct;

import java.util.List;

/**
 * <p>
 * 试卷结构表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBPaperStructService extends IService<TBPaperStruct> {

    /**
     * 查找试卷结构
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TBPaperStructResult> findQuestionInfo(Long examId, String courseCode);
}
