package com.qmth.teachcloud.report.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.report.business.entity.TBSchoolClazz;

/**
 * <p>
 * 学校班级表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TBSchoolClazzService extends IService<TBSchoolClazz> {
    /**
     * 根据学校id，班级编号和名称查询课程基础数据
     * @param schoolId 学校id
     * @param clazzCode 班级编号
     * @param clazzName 班级名称
     * @return 基础班级数据
     */
    TBSchoolClazz findByForeignKey(Long schoolId,String clazzCode,String clazzName);
}
