package com.qmth.distributed.print.business.enums;

import java.util.Objects;

/**
 * @Description: 流程模式 enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/9/9
 */
public enum FlowModelEnum {

    CHOOSE("选人"),

    SYSTEM("系统选择");

    private String title;

    private FlowModelEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (FlowModelEnum e : FlowModelEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
