package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.dto.ExamTaskPrintDetailDto;
import com.qmth.distributed.print.business.bean.dto.TaskPrintHouseDto;
import com.qmth.distributed.print.business.entity.ExamTaskPrint;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 以试卷作为起点生成考务数据 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2021-08-02
 */
public interface ExamTaskPrintMapper extends BaseMapper<ExamTaskPrint> {
    List<TaskPrintHouseDto> listTaskPrintHouse(@Param("schoolId") Long schoolId, @Param("type") String type);

    List<TaskPrintHouseDto> listTaskPrintHouseAll(@Param("schoolId") Long schoolId, @Param("type") String type);

    List<ExamTaskPrintDetailDto> listByPrintPlanIdAndCourseCodeAndPaperNumber(@Param("printPlanId") Long printPlanId, @Param("courseCode") String courseCode, @Param("paperNumber") String paperNumber);
}
