package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.entity.TFFlowApprove;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 流程审核表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowApproveMapper extends BaseMapper<TFFlowApprove> {

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @param schoolId
     * @return
     */
    TFFlowApprove findByFlowId(@Param("flowId") Long flowId, @Param("schoolId") Long schoolId);
}
