package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TFFlowApprove;

/**
 * <p>
 * 流程审核表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowApproveService extends IService<TFFlowApprove> {

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @param schoolId
     * @return
     */
    TFFlowApprove findByFlowId(Long flowId, Long schoolId);
}
