package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.result.TFFlowLogResult;
import com.qmth.distributed.print.business.entity.TFFlowLog;

import java.util.List;

/**
 * <p>
 * 流程流水表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowLogService extends IService<TFFlowLog> {

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @param schoolId
     * @return
     */
    List<TFFlowLog> findByFlowId(Long flowId, Long schoolId);

    /**
     * 根据考试任务id查询
     *
     * @param taskId
     * @return
     */
    List<TFFlowLogResult> findByExamTaskId(Long taskId);
}
