package com.qmth.distributed.print.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.distributed.print.business.entity.TFFlowApproveLog;
import com.qmth.distributed.print.business.mapper.TFFlowApproveLogMapper;
import com.qmth.distributed.print.business.service.TFFlowApproveLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * <p>
 * 流程审批记录 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-08-05
 */
@Service
public class TFFlowApproveLogServiceImpl extends ServiceImpl<TFFlowApproveLogMapper, TFFlowApproveLog> implements TFFlowApproveLogService {

    @Resource
    TFFlowApproveLogMapper tfFlowApproveLogMapper;

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @return
     */
    @Override
    public TFFlowApproveLog findByFlowId(Long flowId) {
        return tfFlowApproveLogMapper.findByFlowId(flowId);
    }
}
