package com.qmth.distributed.print.business.templete.service;

import java.util.Map;

/**
 * @Description: 同步推送处理逻辑接口
 * @Author: CaoZixuan
 * @Date: 2021-11-01
 */
public interface PushLogicService {

    /**
     * 用户推送异步任务处理方法
     *
     * @param map 任务源
     * @return 结果
     */
    Map<String, Object> executeUserPushLogic(Map<String, Object> map) throws IllegalAccessException;

    /**
     * 成绩查询推送异步任务处理方法
     *
     * @param map 任务源
     * @return 结果
     */
    Map<String, Object> executeScorePushLogic(Map<String, Object> map) throws Exception;
}
