package com.qmth.distributed.print.config;

import com.qmth.teachcloud.common.contant.SystemConstant;
import org.activiti.engine.impl.cfg.IdGenerator;
import org.springframework.stereotype.Component;

/**
 * @Description: activiti 分布式id
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/7/14
 */
@Component
public class ActivitiIdGenerator implements IdGenerator {

    @Override
    public String getNextId() {
        return String.valueOf(SystemConstant.getDbUuid());
    }
}
