package com.qmth.teachcloud.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.entity.TSchoolPrivilege;

import java.util.List;

/**
 * <p>
 * 学校菜单权限表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2021-10-28
 */
public interface TSchoolPrivilegeService extends IService<TSchoolPrivilege> {

    /**
     * 根据学校id查找自定义菜单
     *
     * @param schoolId
     * @return
     */
    List<TSchoolPrivilege> findBySchoolId(Long schoolId);
}
