package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherDifficult;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 授课教师-全校各难度得分率对比 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-16
 */
public interface TAExamCourseTeacherDifficultMapper extends BaseMapper<TAExamCourseTeacherDifficult> {

    /**
     * 查找有效答案
     *
     * @param examId
     * @param courseCode
     * @param teacherId
     * @return
     */
    List<CellResult> findValidAnswerDetail(@Param("examId") Long examId, @Param("courseCode") String courseCode, @Param("teacherId") Long teacherId);
}
