package com.qmth.teachcloud.report.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.teachcloud.report.business.bean.result.CellResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseTeacherDifficult;
import com.qmth.teachcloud.report.business.mapper.TAExamCourseTeacherDifficultMapper;
import com.qmth.teachcloud.report.business.service.TAExamCourseTeacherDifficultService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 授课教师-全校各难度得分率对比 服务实现类
 * </p>
 *
 * @author wangliang
 * @since 2021-06-16
 */
@Service
public class TAExamCourseTeacherDifficultServiceImpl extends ServiceImpl<TAExamCourseTeacherDifficultMapper, TAExamCourseTeacherDifficult> implements TAExamCourseTeacherDifficultService {

    @Resource
    TAExamCourseTeacherDifficultMapper taExamCourseTeacherDifficultMapper;

    /**
     * 查找有效答案
     *
     * @param examId
     * @param courseCode
     * @param teacherId
     * @return
     */
    @Override
    public List<CellResult> findValidAnswerDetail(Long examId, String courseCode, Long teacherId) {
        return taExamCourseTeacherDifficultMapper.findValidAnswerDetail(examId, courseCode, teacherId);
    }
}
